<div class="event-card">
  <div class="content">
    <?php
    $serviceTime = null;
      if ($event->hideDetails != true) {
        if (isset($event->dateTime)) {
            $dateClass = $fcrmShowLocation == false ? ' space-under' : null;
            echo '<div class="service-date' . $dateClass . '"><strong>';
            $todayDate = new DateTime();
            $serviceTime = new DateTime($event->dateTime);
            echo $event->eventType . ': ';
            echo $serviceTime->format('D j M g:i a');
            echo '</strong></div>';
        } else {
          echo '<div class="service-date">'. $event->eventType . '<strong>';
        }

        if ($fcrmShowLocation == true) {
          echo '<div class="venue">';
          if (isset($event->venue) && isset($event->venue->googleLink)) {
            echo '<a href="' . urldecode($event->venue->googleLink) . '" target="_blank" class="venue">';
            if (isset($event->venue) && isset($event->venue->name)) {
              echo $event->venue->name . "</br>";
            }
            if (isset($event->venue) && isset($event->venue->address)) {
              echo $event->venue->address;
            }
            echo '</a>';
          } else {
            echo '<div class="venue">';
            if (isset($event->venue) && isset($event->venue->name)) {
              echo $event->venue->name . ",";
            }
            if (isset($event->venue) && isset($event->venue->address)) {
              echo $event->venue->address;
            }
            echo '</div>';
          }
          echo '</div>';
        }
      }
    ?>

    <?php if ((isset($serviceTime) && $event->hideDetails != true) || isset($event->serviceSheetUrl) || isset($event->slideshowUrl) || isset($event->liveStreamUrl)) { ?>
        <?php $modalId = uniqid(); ?>
        <div class="modal fade more-options-modal action-modal" tabindex="-1" style="display: none;" aria-hidden="true" id="more-options-modal-<?php echo $modalId; ?>">
    			<div class="modal-dialog modal-dialog-centered">
    				<div class="modal-content overflow-hidden">
              <div class="modal-header px-4">
    						<h5 class="modal-title">More Options</h5>
    						<button type="button" class="btn-close close-modal-btn" data-bs-dismiss="modal" aria-label="Close" style="font-size: 12px;"></button>
    					</div>
              <div class="modal-body p-0">
                <div class="list-group list-group-flush">
                  <?php if (isset($serviceTime) && $event->hideDetails != true) {
                    $locationOfFuneral = "";
                    if (isset($event->venue)) {
                        if (isset($event->venue) && isset($event->venue->name)) {
                            $locationOfFuneral = $locationOfFuneral . " " . $event->venue->name;
                        }
                        if (isset($event->venue) && isset($event->venue->address)) {
                            $locationOfFuneral = $locationOfFuneral . " " . $event->venue->address;
                        }
                    }

                    $locationOfFuneral = str_replace("\n", ",", $locationOfFuneral);

                    $serviceEndTime = clone $serviceTime;
                    date_add($serviceEndTime, date_interval_create_from_date_string('1 hour'));
                  ?>
                    <a href="#" class="list-group-item list-group-item-action ical-download" title="Download iCal" data-event-name="<?php echo $event->eventType; ?> for <?php echo $client->name; ?>" data-event-location="<?php echo $fcrmShowLocation ? $locationOfFuneral : ''; ?>" data-event-start-date="<?php echo addslashes($serviceTime->format("Y-m-d")); ?>" data-event-start-time="<?php echo addslashes($serviceTime->format("H:i")); ?>" data-event-end-date="<?php echo $serviceEndTime->format("Y-m-d"); ?>" data-event-end-time="<?php echo $serviceEndTime->format("H:i"); ?>" data-event-timezone="<?php echo $event->timezone; ?>"><i class="far fa-calendar-alt me-2"></i> Save to Calendar</a>
                  <?php } ?>

                  <?php if (isset($event->serviceSheetUrl)) {
                      echo '<a href="' . $event->serviceSheetUrl . '" target="_blank" class="list-group-item list-group-item-action"><i class="far fa-info-square me-2"></i> View order of service</a>';
                  } ?>

                  <?php if (isset($event->slideshowUrl)) {
                      echo '<a href="' . $event->slideshowUrl . '" target="_blank" class="list-group-item list-group-item-action"><i class="far fa-image me-2"></i> View slideshow</a>';
                  } ?>

                  <?php if (isset($event->liveStreamUrl)) {
                      echo '<a href="' . $event->liveStreamUrl . '" target="_blank" class="list-group-item list-group-item-action"><i class="far fa-video me-2"></i> View Live Stream</a>';
                  } ?>

                  <button type="button" data-bs-dismiss="modal" class="list-group-item list-group-item-action text-center"><strong>Close</strong></button>
                </div>
              </div>
            </div>
          </div>
        </div>

        <div class="service-buttons-group">
          <button type="button" data-target="#more-options-modal-<?php echo $modalId; ?>" title="More Info" class="service-button more-info-btn w-100">More Options</button>
        </div>
    <?php } ?>
  </div>
</div>
